## python-persistent 6.3

=== docs/requirements.txt ===
Sphinx
repoze.sphinx.autointerface
sphinx_rtd_theme>1
docutils<0.19

## python-persistent 4.0.8

=== debian/changelog ===
python-persistent (4.0.8-3) unstable; urgency=medium

  * Team upload.
  * Revert change in previous upload in favor of removing persistent
    module from python-zodb and make it depend upon this package (with
    upstream ACK). Closes: #767554.
    + d/control: Add Breaks/Replaces against python-zodb << 1:3.9.7-4~.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 10 Dec 2014 17:33:13 +0900

python-persistent (4.0.8-2) unstable; urgency=medium

  * Team upload.
  * d/control: ZODB3 >= 3.11a1 (python-zodb in Debian) has been split up
    into distinct packages (persistent, BTrees, ZODB and ZEO), so until
    python-zodb is updated to at least that version (eg after Jessie), add
    a Conflicts. Thanks to Andreas Beckmann. Closes: #767554.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 14 Nov 2014 18:22:35 +0900

python-persistent (4.0.8-1) unstable; urgency=medium

  * Initial release. (Closes: #752679)

 -- Barry Warsaw <barry@debian.org>  Wed, 25 Jun 2014 15:29:45 -0400

=== debian/control ===
Source: python-persistent
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python-zope.interface,
               python3-all-dev,
               python3-setuptools,
               python3-zope.interface
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Homepage: https://pypi.python.org/pypi/persistent/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-persistent/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-persistent/trunk/
XS-Testsuite: autopkgtest

Package: python-persistent
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Breaks: python-zodb (<< 1:3.9.7-4~)
Replaces: python-zodb (<< 1:3.9.7-4~)
Description: Automatic persistence for Python objects
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This is the Python 2 version.

Package: python3-persistent
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Automatic persistence for Python objects
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This is the Python 2 version.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/persistent/persistent-(.*).tar.gz

## python-persistent 4.1.1

=== debian/changelog ===
python-persistent (4.1.1-1build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:21 +0000

python-persistent (4.1.1-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 00:04:31 +0000

python-persistent (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Back out previous change; upstream has fixed their
    release tarball.

 -- Barry Warsaw <barry@debian.org>  Tue, 02 Jun 2015 10:33:59 -0400

python-persistent (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version to 3.9.6 with no other changes needed.
  * d/watch: Use the pypi.debian.net redirector.
  * d/copyright: Exclude persistent/__pycache__ binary files, which
    appear to be artifacts of cffi sneaking into the upstream tarball.
    https://github.com/zopefoundation/persistent/issues/27

 -- Barry Warsaw <barry@debian.org>  Mon, 01 Jun 2015 19:20:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-persistent
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>
 Section: python
 Priority: optional
@@ -11,7 +12,7 @@
                python3-all-dev,
                python3-setuptools,
                python3-zope.interface
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
 Homepage: https://pypi.python.org/pypi/persistent/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=persistent

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_install:
	dh_install
	find debian/python-persistent -name '*.c' -delete
	find debian/python3-persistent -name '*.c' -delete

=== debian/watch ===
version=3
#opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/persistent/persistent-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-persistent 4.2.2

=== debian/changelog ===
python-persistent (4.2.2-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:38:23 +1200

python-persistent (4.2.2-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 May 2017 17:51:26 +0530

python-persistent (4.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Barry Warsaw ]
  * Fix typo in the description of python3-persistent. Closes: #810544.
  * Rework the autopkgtests:
    - d/control: We don't need to specify Testsuite explicitly anymore.
    - Rename debian/tests/* to something more descriptive and add explicit
      import tests of the C extension submodules.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Muchembled ]
  * New upstream release 4.2.2
  * d/watch: access to PyPI with HTTPS.
  * d/control:
    + Bump X-Python*-Version stanzas (support for 2.6 and 3.2 was dropped)
    + Update Standards-Version to 3.9.8 (no change needed).
  * Do not ship the test suite.
  * New 'python-persistent-doc' package with Sphinx documentation.
  * d/copyright: update Copyright: year
  * Use debhelper 10 (no change).
  * Enable build hardening.
  * Clean up *.so to fix FTFBS if built twice in a row.

 -- Julien Muchembled <jm@jmuchemb.eu>  Sun, 04 Dec 2016 00:39:46 +0100

=== debian/control ===
Source: python-persistent
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-sphinx,
               python-repoze.sphinx.autointerface,
               python-all-dev,
               python-setuptools,
               python-zope.interface,
               python3-all-dev,
               python3-setuptools,
               python3-zope.interface
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: https://pypi.python.org/pypi/persistent/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-persistent.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-persistent.git

Package: python-persistent
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Breaks: python-zodb (<< 1:3.9.7-4~)
Replaces: python-zodb (<< 1:3.9.7-4~)
Description: Automatic persistence for Python objects
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This is the Python 2 version.

Package: python3-persistent
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Automatic persistence for Python objects
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This is the Python 3 version.

Package: python-persistent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Automatic persistence for Python objects - documentation
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This package contains the Python module documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

export PYBUILD_NAME=persistent

export PYBUILD_AFTER_INSTALL = cd {destdir}{install_dir}/persistent && \
	rm -r *.c tests

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy=http://127.0.0.1:9 \
		https_proxy=https://127.0.0.1:9 \
		sphinx-build -qNE -b html docs build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -f persistent/*.so

=== debian/tests/control ===
Test-Command: cd debian/tests; python import.py
Depends: @

Test-Command: cd debian/tests; python3 import.py
Depends: @

## python-persistent 4.4.3

=== debian/changelog ===
python-persistent (4.4.3-0ubuntu4) focal; urgency=medium

  * Stop building the Python2 module.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 13:59:31 +0100

python-persistent (4.4.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 11:33:42 +0100

python-persistent (4.4.3-0ubuntu2) focal; urgency=medium

  * debian/tests/control:
    - use python2 instead of python

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Dec 2019 22:07:49 +0100

python-persistent (4.4.3-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Oct 2019 08:53:27 +0200

python-persistent (4.2.2-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:27:52 +0000

python-persistent (4.2.2-2) unstable; urgency=high

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Dominik George ]
  * Move header files to correct location. (Closes: #920027)

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 19:12:16 +0100

=== debian/control ===
Source: python-persistent
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-repoze.sphinx.autointerface,
               python3-all-dev,
               python3-setuptools,
               python3-manuel,
               python3-zope.interface
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/persistent/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-persistent.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-persistent

Package: python3-persistent
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-persistent-doc
Description: Automatic persistence for Python objects
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This is the Python 3 version.

Package: python-persistent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Automatic persistence for Python objects - documentation
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This package contains the Python module documentation. Alternatively,
 there is an online version at https://persistent.readthedocs.io/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	rm -r *.c tests
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -20,3 +20,9 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f persistent/*.so
+
+override_dh_install:
+	dh_install
+	for d in debian/python3-persistent/usr/include/python*; do \
+		[ "$$d" = *m ] || mv "$$d" "$$d"m; \
+	done

## python-persistent 4.6.4

=== debian/changelog ===
python-persistent (4.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-persistent-doc: Add Multi-Arch: foreign.

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 13:16:57 -0400

python-persistent (4.6.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python3-persistent: Depend on python3-cffi.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Oct 2020 15:27:32 +0200

python-persistent (4.6.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Clean uploaders list. Closes: #970165.
  * Bump debhelper and standards versions.
  * Build-depend on python3-cffi, python3-manuel.
  * Drop the special casing of the header installs. Closes: #942735.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Oct 2020 11:15:27 +0200

python-persistent (4.2.2-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #938018).
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 27 Sep 2019 01:07:10 +0500

=== debian/control ===
Source: python-persistent
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all-dev,
               python3-repoze.sphinx.autointerface,
               python3-setuptools,
               python3-sphinx,
               python3-zope.interface,
	       python3-cffi,
               python3-manuel,
               python3-sphinx,
Vcs-Git: https://salsa.debian.org/python-team/packages/python-persistent.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-persistent

Package: python3-persistent
Architecture: any
Depends: ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
  python3-cffi,
Suggests: python-persistent-doc
Description: Automatic persistence for Python objects
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This is the Python 3 version.

Package: python-persistent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Automatic persistence for Python objects - documentation
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This package contains the Python module documentation. Alternatively,
 there is an online version at https://persistent.readthedocs.io/

=== debian/tests/control ===
Test-Command: cd debian/tests; python3 import.py
Depends: @

## python-persistent 6.0

=== debian/changelog ===
python-persistent (6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Jun 2024 00:29:08 +0100

python-persistent (5.2-1) unstable; urgency=medium

  * New upstream release.
  * Restore Standards-Version and Homepage, lost while merging an NMU.
  * Use non-PyPI links for Homepage and debian/copyright:Source.
  * Add Rules-Requires-Root: no.
  * Mark import-only autopkgtests as superficial.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 May 2024 21:54:00 +0100

python-persistent (4.6.4-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick partial upstream commit to avoid
    test failure with Python 3.12

 -- Graham Inggs <ginggs@debian.org>  Mon, 04 Dec 2023 21:04:10 +0000

## python-persistent 6.1

=== debian/changelog ===
python-persistent (6.1-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 06:42:20 +0100

python-persistent (6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Sep 2024 22:12:42 -0700

## python-persistent 6.1.1

=== debian/changelog ===
python-persistent (6.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Feb 2025 11:09:46 +0000

python-persistent (6.1-2) unstable; urgency=medium

  * Team upload.
  * Use Py_REFCNT to access cPersistentObject refcounts (closes: #1098602).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 15:30:09 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,8 @@
 	PYTHONPATH=. \
 		http_proxy=http://127.0.0.1:9 \
 		https_proxy=https://127.0.0.1:9 \
-		sphinx-build -qNE -b html docs build/html
+		python3 -m sphinx -qNE -b html docs build/html
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f persistent/*.so
-
-override_dh_install:
-	dh_install
-	for d in debian/python3-persistent/usr/include/python*; do \
-		[ "$$d" = *m ] || mv "$$d" "$$d"m; \
-	done
+	rm -f src/persistent/*.so

## python-persistent 6.3

=== debian/changelog ===
python-persistent (6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Oct 2025 02:21:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,16 @@
                python3-setuptools,
                python3-sphinx,
                python3-zope.interface,
-	       python3-cffi,
+               python3-cffi,
                python3-manuel,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
+               python3-zope.deferredimport,
+Standards-Version: 4.7.0
+Homepage: https://github.com/zopefoundation/persistent/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-persistent.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-persistent
+Rules-Requires-Root: no
 
 Package: python3-persistent
 Architecture: any

=== debian/tests/control ===
Test-Command: cd debian/tests; python3 import.py
Depends: @
Restrictions: superficial

## python-persistent 6.5

=== debian/changelog ===
python-persistent (6.5-1) unstable; urgency=medium

  * Use pybuild-plugin-pyproject.
  * Add myself to Uploaders.
  * Apply X-Style: black.
  * Run autopkgtest for all supported Python versions.
  * Explicitly test that persistent._ring can be imported.
  * Simplify a debhelper override.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Run tests using zope.testrunner, and doctests using Sphinx.

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Dec 2025 10:51:22 +0000

=== debian/control ===
Source: python-persistent
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo,
 pybuild-plugin-pyproject (>= 6.20251204.1~),
 python3-all-dev,
 python3-cffi,
 python3-manuel,
 python3-pycparser,
 python3-repoze.sphinx.autointerface,
 python3-setuptools,
 python3-sphinx,
 python3-zope.deferredimport,
 python3-zope.interface,
 python3-zope.testrunner,
Standards-Version: 4.7.0
Homepage: https://github.com/zopefoundation/persistent/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-persistent.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-persistent
X-Style: black

Package: python3-persistent
Architecture: any
Depends:
 python3-cffi,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-persistent-doc,
Description: Automatic persistence for Python objects
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This is the Python 3 version.

Package: python-persistent-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Automatic persistence for Python objects - documentation
 This package contains a generic persistence implementation for Python. It
 forms the core protocol for making objects interact "transparently" with
 a database such as the ZODB.
 .
 This package contains the Python module documentation. Alternatively,
 there is an online version at https://persistent.readthedocs.io/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

export PYBUILD_NAME=persistent

export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	PYTHONPATH=. {interpreter} -m zope.testrunner --test-path . --package persistent -vv && \
	PYTHONPATH=. {interpreter} -m sphinx.cmd.build -b doctest docs ../doctest

export PYBUILD_AFTER_INSTALL = cd {destdir}{install_dir}/persistent && \
	rm -r *.c tests

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		http_proxy=http://127.0.0.1:9 \
		https_proxy=https://127.0.0.1:9 \
		python3 -m sphinx -qNE -b html docs build/html

=== debian/tests/control ===
Test-Command: set -e; cd debian/tests; for py in $(py3versions -s); do echo "Testing with $py:"; $py import.py; done
Depends:
 python3-all,
 @,
Restrictions:
 superficial,
